INIT(3)

NAME

INIT, GENPAT Package

SYNOPSIS

INIT("pattern_date","ident","value");

PARAMETERS

pattern_date
    pattern date which may be either : integer (absolute date in ps) or + integer (relative date in ps, the date of the current pattern (last modified using INIT or AFFECT) is the reference).

ident
    Either the name of a bused register or a simple register. Path-name must be specified by the syntax : instance1.instance11.name

value
    The value associated with the signal which may be either a based number (ex. 0B011 or 0H3F) or a decimal.

DESCRIPTION

Initialize registers at indicated values and set current pattern.

EXAMPLE

INIT("1300","regt","0B1");
INIT("+3000","y 3 downto 0","0xF");
result :
At simulation time 1300 ps, the register named regt receive "1"
	regt <= B"1" ;
<   1300 ps> : .............;
At simulation time +3000 ps, (related to the date of the current pattern),
the vector y is affected with the value 15 in decimal or F in hexadecimal.
	regt <= X"F" ;
<   4300 ps> : .............;

SEE ALSO

genpat(1), pat(5), AFFECT(3)